org.apache.solr.client.solrj.impl

## Class HttpClientUtil.HttpClientFactory

- java.lang.Object
- - org.apache.solr.client.solrj.impl.HttpClientUtil.HttpClientFactory

Enclosing class:
  HttpClientUtil

    public static class HttpClientUtil.HttpClientFactory
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`HttpClientFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static org.apache.http.impl.client.SystemDefaultHttpClient` `createHttpClient()`
`static org.apache.http.impl.client.DefaultHttpClient` `createHttpClient(org.apache.http.conn.ClientConnectionManager cm)`
`static void` `setHttpClientImpl(Class<? extends org.apache.http.impl.client.DefaultHttpClient> defaultHttpClient, Class<? extends org.apache.http.impl.client.SystemDefaultHttpClient> systemDefaultHttpClient)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpClientFactory

    public HttpClientFactory()

### Method Detail

#### createHttpClient

    public static org.apache.http.impl.client.SystemDefaultHttpClient createHttpClient()

#### createHttpClient

    public static org.apache.http.impl.client.DefaultHttpClient createHttpClient(org.apache.http.conn.ClientConnectionManager cm)

#### setHttpClientImpl

    public static void setHttpClientImpl(Class<? extends org.apache.http.impl.client.DefaultHttpClient> defaultHttpClient,
                                         Class<? extends org.apache.http.impl.client.SystemDefaultHttpClient> systemDefaultHttpClient)